#!/bin/sh

# UTF8


# ${1}
# имя события:
# name of the event:
#    RXSTART, RXSTOP, TXSTART or TXSTOP
eventname="${1}"

# ${2}
# имя активного конфигурационного файла клиента AlterFRN
# name of the active configuration file of AlterFRN client
cfg="${2}"

# ${4}
# идентификатор процесса (PID) клиента AlterFRN
# identifier of the AlterFRN client process (PID)
pid="${3}"

# ${4}
# позывной и имя оператора
# callsign and operator name
callsign="${4}"

# ${5}
# местонахождение
# location
location="${5}"

# ${6}
# страна
# country
country="${6}"

# ${7}
# диапазон и канал
# band and channel
bandchannel="${7}"

# ${8}
# описание или пробел
# description or space character
description="${8}"

# ${9}
# серверный идентификатор клиента
# client ID from server
serverid="${9}"

# ${10}, r5668+
# количество звука в миллисекунах (для событий RXSTOP и TXSTOP)
# amount of sound in milliseconds (for events RXSTOP and TXSTOP)
sound_amount="${10}"


# утилиты my_display_* приведены только для этого примера
#  нужно использовать настоящие утилиты для своего оборудования
# utilities my_display_* are only for the example
#  you have to use real utilities for your real equipment

echo "event=${eventname}; cfg=${cfgname}; PID=${pidnum}; call=${callsign}; loc=${location}; country=${country}; band=${bandchannel}; desc=${description}; id=${clientid}; amount=${soundamount}" >> rxtx.log

case $eventname in
    RXSTART)
        # звук с сервера - красная подсветка, выводим позывной
        # sound from server - red backlight and show callsign
        my_display_backlight RED
        my_display_text "${callsign}" "${location}"
        ;;
    TXSTART)
        # звук на сервер - зеленая подсветка, выводим позывной
        # sound to server - green backlight and show callsign
        my_display_backlight GREEN
        my_display_text "${callsign}" "${location}"
        ;;
    RXSTOP|TXSTOP)
	# на останове выключаем подсветку и стираем надпись
	# turn backlight off and clean display on stop
	my_display_backlight OFF
	my_display_text_clean
	;;
esac


